{**********************************************************************
                PilotLogic Software House
  
    FPC Package fcl-db

    MariaDB 11.05 Data Dictionary Engine Implementation.
    
    ct9999
 **********************************************************************}
  
unit fpddMariaDB1105;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, sqldb, fpdatadict, fpddsqldb;
  
Type
  { TSQLDBMariaDB1105DDEngine }

  TSQLDBMariaDB1105DDEngine = Class(TSQLDBDDEngine)
  Protected
    Function CreateConnection(AConnectString  : String) : TSQLConnection; override;
  Public
    Class function Description : string; override;
    Class function DBType : String; override;
  end;

Procedure RegisterMariaDB1105DDEngine;
Procedure UnRegisterMariaDB1105DDEngine;

implementation

uses MariaDB1105conn;

Procedure RegisterMariaDB1105DDEngine;

begin
  RegisterDictionaryEngine(TSQLDBMariaDB1105DDEngine);
end;

Procedure UnRegisterMariaDB1105DDEngine;

begin
  UnRegisterDictionaryEngine(TSQLDBMariaDB1105DDEngine);
end;

{ TSQLDBMariaDB1105DDEngine }

function TSQLDBMariaDB1105DDEngine.CreateConnection(AConnectString: String): TSQLConnection;
begin
  Result:=MariaDB1105conn.TMariaDB1105Connection.Create(Self);
end;

class function TSQLDBMariaDB1105DDEngine.Description: string;
begin
  Result:='MariaDB 11.05 connection using SQLDB';
end;

class function TSQLDBMariaDB1105DDEngine.DBType: String;
begin
  Result:='MariaDB 11.05';
end;

end.

